<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" exclude-result-prefixes="sc sp" version="1.0"><xsl:output omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param name="vComp"/><xsl:variable select="concat(getIdNode(..), '')" name="vIdObj"/><xsl:template match="*"><script type="text/JavaScript">
var <xsl:value-of select="$vIdObj"/> = {

	fId : "<xsl:value-of select="getIdNode(..)"/>",
	fCurSeq : null,
	initSeq : function(pCodeSeq){
	try {
		if(pCodeSeq==null) return;
		if(this.fCurSeq!=null) this.closeSeq();
		this.fCurSeq = pCodeSeq;
		switch(this.fCurSeq) {

	case "play" : {
this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_score"), "invisible");
this.setToggleStatus(document.getElementById("<xsl:value-of select="$vIdObj"/>_S_N3d"), false);

		this.computeScore = function(pInput, pIdx) {
			this.fMinPts = 0;
			this.fMaxPts = 0;
			this.fScorePts = 0;
			var vRate;

		var vSubAssmnt = {fSession:"", compute:function(pParent, pId, pRate){
			this.fMinPts = scServices.assmntMgr.getMinPts(pId, this.fSession)||0;
			this.fScorePts = scServices.assmntMgr.getScorePts(pId, this.fSession)||0;
			this.fMaxPts = scServices.assmntMgr.getMaxPts(pId, this.fSession)||1;

			pParent.fMinPts += this.fMinPts;
			pParent.fScorePts += this.fScorePts;
			pParent.fMaxPts += this.fMaxPts;
		}};
<xsl:for-each select="sp:trainUcMcqSur | sp:trainUcMcqMur | sp:trainUcField | sp:trainUcCloze">
		vSubAssmnt.compute(this, "<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>", <xsl:value-of select="si(sc:globalRating/@rate, sc:globalRating/@rate, '1')"/>);
</xsl:for-each>
		if(this.fMaxPts &lt; 100) {

				this.fScorePts = this.fMinPts + (this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts) * (100-this.fMinPts); 

			this.fMaxPts = 100;
		}
var vScoreSession = "";
			scServices.assmntMgr.setPts(this.fId, vScoreSession, this.fMinPts, this.fScorePts, this.fMaxPts);

						this.refreshScoresFeedbacks();
		}

		this.handleAssmntPts = function(pEvent){if(<xsl:for-each select="sp:trainUcMcqSur | sp:trainUcMcqMur | sp:trainUcField | sp:trainUcCloze">pEvent.fId=="<xsl:value-of select="si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))"/>" || </xsl:for-each>false) this.computeScore();}
		scServices.assmntMgr.addEventListener(this);
		this.computeScore();

		break;
	}

		}
	}catch(e){alert("failed:::"+e)};
	},
	onActionN62 : function(pButton){
		if(this.isDisabled(pButton)) return;
<xsl:for-each select="sp:trainUcMcqSur | sp:trainUcMcqMur | sp:trainUcField | sp:trainUcCloze"><xsl:value-of select="concat(si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '_Alist')"/>.fct_reset(); 
</xsl:for-each>this.initSeq("play");

		scServices.assmntMgr.commit();
	},
	onActionN3d : function(pButton){
		if(this.isDisabled(pButton)) return;
		var vIsOn = this.isToggleOn(pButton);
		if(vIsOn) {
<xsl:for-each select="sp:trainUcMcqSur | sp:trainUcMcqMur | sp:trainUcField | sp:trainUcCloze"><xsl:value-of select="concat(si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '_Alist')"/>.fct_play(); 
</xsl:for-each>this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_score"), "invisible");

		} else {
<xsl:for-each select="sp:trainUcMcqSur | sp:trainUcMcqMur | sp:trainUcField | sp:trainUcCloze"><xsl:value-of select="concat(si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '_Alist')"/>.fct_displaySol(); 
</xsl:for-each>this.setMode(document.getElementById("<xsl:value-of select="$vIdObj"/>_N_score"), "visible");

		}
		this.setToggleStatus(pButton, ! vIsOn);
		scServices.assmntMgr.commit();
	},
	setMode : function(pElt, pMode){
		if(!pElt) return;
		switch(pMode) {
		case "collapsed" :
			pElt.style.display = "none";
			if("scSiLib" in window) scSiLib.fireResizedNode(pElt);
			break;
		case "invisible" :
			pElt.style.display = "";
			pElt.style.visibility = "hidden";
			if("scSiLib" in window) scSiLib.fireResizedNode(pElt);
			break;
		case "enabled" : 
			if(pElt.className.indexOf("buttonDisabled")&gt;=0) pElt.className = pElt.className.replace("buttonDisabled", "");
			pElt.setAttribute("href", "#");
		case "disabled" : 
			if(pMode=="disabled") {
				if(pElt.className.indexOf("buttonDisabled")&lt;0) pElt.className = pElt.className+" buttonDisabled";
				pElt.removeAttribute("href");
			}
		default :
			pElt.style.display = "";
			pElt.style.visibility = "";
			if("scSiLib" in window) scSiLib.fireResizedNode(pElt);
		}
	},
	isDisabled : function(pButton){
		return pButton==null || pButton.className.indexOf("buttonDisabled")&gt;=0;
	},
	setToggleStatus : function(pButton, pOn){
		if(pButton==null) return;
		if(pOn){ 
			var vIdx = pButton.className.lastIndexOf("toggleButtonOff");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOn";
		} else {
			var vIdx = pButton.className.lastIndexOf("toggleButtonOn");
			pButton.className = (vIdx&gt;0 ? pButton.className.substring(0, vIdx) :  pButton.className) + " toggleButtonOff";
		}
	},
	isToggleOn : function(pButton){
		return pButton!=null &amp;&amp; pButton.className.indexOf("toggleButtonOn")&gt;=0;
	},
	
	closeSeq: function(){
		vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		switch(this.fCurSeq) {

	case "play" : {

		scServices.assmntMgr.removeEventListener(this);
		this.computeScore();

		break;
	}

		}
		this.fCurSeq = null;
	},
	getOnLoadSeq:function() {

			return "play";

	return null;
	},

	
	refreshScoresFeedbacks : function(){

		var vScoreNode = document.getElementById("<xsl:value-of select="$vIdObj"/>_SN7f");

		var vScore = (Math.round((this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts) * 100) * 1)+ 0;
if(vScore &gt; 99 &amp;&amp; true) {
			vScoreNode.innerHTML = "&lt;span&gt;" + vScore + "% de bonnes réponses&lt;\/span&gt;";
			vScoreNode.className = "answBest";
		} else if(vScore &gt; 49 &amp;&amp; vScore &lt;= 99 &amp;&amp; true) {
			vScoreNode.innerHTML = "&lt;span&gt;" + vScore + "% de bonnes réponses&lt;\/span&gt;";
			vScoreNode.className = "answGood";
		} else if(vScore &gt; 0 &amp;&amp; vScore &lt;= 49 &amp;&amp; true) {
			vScoreNode.innerHTML = "&lt;span&gt;" + vScore + "% de bonnes réponses&lt;\/span&gt;";
			vScoreNode.className = "answBad";
		} else if(vScore &lt;= 0 &amp;&amp; true) {
			vScoreNode.innerHTML = "&lt;span&gt;" + vScore + "% de bonnes réponses&lt;\/span&gt;";
			vScoreNode.className = "answWorst";
		} else  {
			vScoreNode.innerHTML = "";
			vScoreNode.className = "";
		}

	},
	onLoad: function(){
		this.initSeq(this.getOnLoadSeq()); 
		var vNodeRoot = document.getElementById("<xsl:value-of select="$vIdObj"/>_A");
		vNodeRoot.style.display = "block"; 
	},
	onUnload: function(){
		this.closeSeq();
	},
	loadSortKey: "B",
	unloadSortKey: "B"
};

scOnLoads[scOnLoads.length] = <xsl:value-of select="$vIdObj"/>;
scOnUnloads[scOnUnloads.length] = <xsl:value-of select="$vIdObj"/>;
</script><div style="display:none;" id="{$vIdObj}_A"><div class="bkSolResOut"><div class="bkSolResFra1"><div class="bkSolResFra2"><div class="bkSolResFra3"><div class="bkSolResCo"><div class="btnCorrection"><a onclick="{$vIdObj}.onActionN3d(this); return false;" href="#" title="Afficher le score et la correction" class="btnQuiz " id="{$vIdObj}_S_N3d"><span class="btnQuizCaption">Correction</span></a></div><div class="btnReset"><a onclick="{$vIdObj}.onActionN62(this); return false;" href="#" title="Effacer les réponses" class="btnQuiz "><span class="btnQuizCaption">Recommencer</span></a></div><div class="scoreBox"><div class="score " id="{$vIdObj}_N_score"><div id="{$vIdObj}_SN7f"><span/></div></div></div></div></div></div></div></div>[![agent=//callModel_N94]!]</div></xsl:template></xsl:stylesheet>