<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale3" xmlns:java="http://xml.apache.org/xslt/java" exclude-result-prefixes="sc sp op java">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="*">
		<xsl:variable name="vShortQuest" select="count(sc:question/op:res/sp:*)=1 and count(sc:question/op:res/sp:txt) = 1 and count(sc:question/op:res/sp:txt/op:txt/sc:para) &lt;= 2"/>
		<xsl:if test="not($vShortQuest)">
				<xsl:value-of select="execute(java:hIncreaseOne(getDialogVar('vBkCounter')))"/>
		</xsl:if>
		<xsl:value-of select="execute(java:hIncreaseOne(getDialogVar('vBkCounter')))"/>
		<xsl:value-of select="execute(java:hIncreaseOne(getDialogVar('vBkCounter')))"/>
		<xsl:for-each select="sc:globalExplanation">
			<xsl:value-of select="execute(java:hIncreaseOne(getDialogVar('vBkCounter')))"/>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>